public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-physics/fastjet-contrib/
Date: Fri, 27 Sep 2024 09:08:53 +0000 (UTC)	[thread overview]
Message-ID: <1727428087.34a688291a38261c6ab650f937c575c3d98330b3.andrewammerlaan@gentoo> (raw)

commit:     34a688291a38261c6ab650f937c575c3d98330b3
Author:     Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT> de>
AuthorDate: Wed Sep 25 15:47:29 2024 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Fri Sep 27 09:08:07 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34a68829

sci-physics/fastjet-contrib: add 1.055

Signed-off-by: Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik.de>
Closes: https://github.com/gentoo/gentoo/pull/38771
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-physics/fastjet-contrib/Manifest               |  1 +
 .../fastjet-contrib/fastjet-contrib-1.055.ebuild   | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/sci-physics/fastjet-contrib/Manifest b/sci-physics/fastjet-contrib/Manifest
index c107593243e9..7a13a24c975d 100644
--- a/sci-physics/fastjet-contrib/Manifest
+++ b/sci-physics/fastjet-contrib/Manifest
@@ -1,2 +1,3 @@
 DIST fastjet-contrib-1.053.tar.gz 912109 BLAKE2B b195c415163d9ebf8e48d2516ea44014f0f4b112307a86d536e82d62121b0e22d8c862468fddcc8570eea6137c1d757586941af80112459a528e261764a0fb96 SHA512 b8888d30abaead7ec084d551d05dbd53f5a03e226fd58ec1e4c236cb022868c5134a4199dde262f18334628f4b58d532bd0e7955e81d8d964a985646d376878b
+DIST fastjet-contrib-1.055.tar.gz 945588 BLAKE2B 5dc40313fa3b1decb1bd6e2ac8ce486b1905e7be3d575e54e43b82982f50202c5eea060390851b92c3f4b08472b8c3f0e304e5bd345e07f4742749ed892d3960 SHA512 2140c4198b704336449bbaed5625428d5e97ae1b744ff83837932189a72f20ba0226843517130cfb0d74fb395abd19c3377f232a86e0e734aded27d52c4ac71d
 DIST fjcontrib-1.049.tar.gz 850931 BLAKE2B ed80c231220794cda36fb0cbbad225eb8d741f2de5558878f17d1774e16e3046d2af4b0cb895d5fc897f382c36f50def0b3ecb0fba06010347752e0a59ee402f SHA512 21dc066cc8f2667f41377924bad6c3df625fa73d16b6bc3dd49ff76e6e15abbfeac0317850699e7047a7c2445c4a94a67d0f37119922163eae8bf77a56edd9e6

diff --git a/sci-physics/fastjet-contrib/fastjet-contrib-1.055.ebuild b/sci-physics/fastjet-contrib/fastjet-contrib-1.055.ebuild
new file mode 100644
index 000000000000..f48a5b1a4594
--- /dev/null
+++ b/sci-physics/fastjet-contrib/fastjet-contrib-1.055.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_PN=fjcontrib
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="3rd party extensions of FastJet."
+HOMEPAGE="https://fastjet.hepforge.org/contrib/"
+SRC_URI="https://fastjet.hepforge.org/contrib/downloads/${MY_P}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND=">=sci-physics/fastjet-3.4.0"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.049-soname.patch
+	"${FILESDIR}"/${PN}-1.049-ar.patch
+)
+
+src_configure() {
+	tc-export CXX AR RANLIB
+	./configure \
+		--prefix="${ESYSROOT}/usr" \
+		--fastjet-config="${ESYSROOT}/usr/bin/fastjet-config" \
+		RANLIB="${RANLIB}" \
+		AR="${AR}" \
+		CXX="${CXX}" \
+		CFLAGS="${CFLAGS}" \
+		CXXFLAGS="${CXXFLAGS}" \
+		FFLAGS="${FFLAGS}" \
+		LDFLAGS="${LDFLAGS}" || die
+}
+
+src_compile() {
+	emake
+	emake fragile-shared
+}
+
+src_install() {
+	emake install PREFIX="${ED}/usr"
+	dolib.so libfastjetcontribfragile.so
+	# The name used for requesting this library varies
+	dosym libfastjetcontribfragile.so /usr/$(get_libdir)/libfastjetcontribfragile.so.0
+	dosym libfastjetcontribfragile.so /usr/$(get_libdir)/fastjetcontribfragile.so.0
+}


             reply	other threads:[~2024-09-27  9:08 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-09-27  9:08 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-26 19:10 [gentoo-commits] repo/gentoo:master commit in: sci-physics/fastjet-contrib/ Andrew Ammerlaan
2024-03-18 11:02 Andrew Ammerlaan
2022-08-26  9:50 Andrew Ammerlaan
2022-07-23  4:13 Sam James
2022-07-22 20:53 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1727428087.34a688291a38261c6ab650f937c575c3d98330b3.andrewammerlaan@gentoo \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox